TDBDUMP(8)

NAME
tdbdump - tool for printing the contents of a TDB file

SYNOPSIS

tdbdump [-k keyname] [-e] [-h] {filename}

DESCRIPTION

This tool is part of the samba(1) suite.

tdbdump is a very simple utility that 'dumps' the contents of a TDB (Trivial DataBase) file to standard output in a human-readable format.

This tool can be used when debugging problems with TDB files. It is intended for those who are somewhat familiar with Samba internals.

OPTIONS

-h
    Get help information.

-k keyname
    The -k option restricts dumping to a single key, if found.

-e
    The -e tries to dump out from a corrupt database. Naturally, such a dump is unreliable, at best.

VERSION

This man page is correct for version 3 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The tdbdump man page was written by Jelmer Vernooij.